View Issue Details

IDProjectCategoryView StatusLast Update
0008043VALENTINA STUDIOTool - Schema Editor - Tree Viewpublic2017-08-19 07:20
ReporterakeretAssigned ToViktor Markvardt 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformINTELOSMAC OS OS Version*
Product Version7.3.x 
Target Version7.4.xFixed in Version7.4.x 
Summary0008043: Field Position column sort order not correct
DescriptionMacOS 10.12.6
Valentino Studio Pro: 7.3.4

In column view the sort order of the “Field Position” column is not correctly applied. Clicking on the column header to set the sort order (ASC / DESC) does sort the field position as string and not as numeric values

Order is like 1, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 2, 20, 21 …
Steps To ReproduceStart Schema Editor in tree view
- Select schema, table, fields
- In column view sort the table fields according to the field position
TagsNo tags attached.
Working with DB:mySQL Server
Version of your DBMariaDB 10.1

Activities

Viktor Markvardt

Viktor Markvardt

2017-08-07 13:17

developer   ~0009853

Product Version 7.3.4
Target Version 7.3.5

Issue History

Date Modified Username Field Change
2017-08-03 05:07 akeret New Issue
2017-08-07 11:13 Viktor Markvardt Assigned To => Viktor Markvardt
2017-08-07 11:13 Viktor Markvardt Status new => assigned
2017-08-07 11:14 Viktor Markvardt Status assigned => confirmed
2017-08-07 12:13 Viktor Markvardt Status confirmed => resolved
2017-08-07 12:13 Viktor Markvardt Fixed in Version => 7.3.x
2017-08-07 12:13 Viktor Markvardt Resolution open => fixed
2017-08-07 13:10 Viktor Markvardt Status resolved => feedback
2017-08-07 13:10 Viktor Markvardt Resolution fixed => reopened
2017-08-07 13:15 Viktor Markvardt Product Version => 7.3.x
2017-08-07 13:15 Viktor Markvardt Target Version => 7.3.x
2017-08-07 13:15 Viktor Markvardt Status feedback => resolved
2017-08-07 13:15 Viktor Markvardt Resolution reopened => fixed
2017-08-07 13:16 Viktor Markvardt Status resolved => feedback
2017-08-07 13:16 Viktor Markvardt Resolution fixed => reopened
2017-08-07 13:17 Viktor Markvardt Note Added: 0009853
2017-08-07 13:17 Viktor Markvardt Status feedback => resolved
2017-08-07 13:17 Viktor Markvardt Resolution reopened => fixed
2017-08-19 07:20 Ruslan Zasukhin Target Version 7.3.x => 7.4.x
2017-08-19 07:20 Ruslan Zasukhin Fixed in Version 7.3.x => 7.4.x